Assignments Assignments

Classes | Macros | Typedefs | Functions | Variables
jchuff.cpp File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`
`#include "jchuff.h"`

## Classes
struct | savable_state
struct | huff_entropy_encoder
struct | working_state

## Macros
#define | JPEG_INTERNALS
#define | ASSIGN_STATE(dest, src) ((dest) = (src))
#define | emit_byte(state, val, action)

## Typedefs
typedef huff_entropy_encoder * | huff_entropy_ptr

## Functions
| METHODDEF (boolean) encode_mcu_huff JPP((j_compress_ptr cinfo
| METHODDEF (void) finish_pass_huff JPP((j_compress_ptr cinfo))
| start_pass_huff (j_compress_ptr cinfo, boolean gather_statistics)
| jpeg_make_c_derived_tbl (j_compress_ptr cinfo, boolean isDC, int tblno, c_derived_tbl **pdtbl)
| dump_buffer (working_state *state)
| emit_bits (working_state *state, unsigned int code, int size)
| flush_bits (working_state *state)
| encode_one_block (working_state *state, JCOEFPTR block, int last_dc_val, c_derived_tbl *dctbl, c_derived_tbl *actbl)
| emit_restart (working_state *state, int restart_num)
| encode_mcu_huff (j_compress_ptr cinfo, JBLOCKROW *MCU_data)
| finish_pass_huff (j_compress_ptr cinfo)
| jinit_huff_encoder (j_compress_ptr cinfo)

## Variables
JBLOCKROW * | MCU_data

## Macro Definition Documentation

## ◆ ASSIGN_STATE

#define ASSIGN_STATE | ( |  | dest,
|  |  | src ) ((dest) = (src))

## ◆ emit_byte

#define emit_byte | ( |  | state,
|  |  | val,
|  |  | action )

Value:
{ *(state)->next_output_byte++ = (JOCTET) (val); \
if (--(state)->free_in_buffer == 0) \
if (! dump_buffer(state)) \
{ action; } }
dump_buffer
dump_buffer(working_state *state)
Definition jchuff.cpp:278
JOCTET
char JOCTET
Definition jmorecfg.h:115
val
int val
Definition jpeglib.h:956

## ◆ JPEG_INTERNALS

#define JPEG_INTERNALS

## Typedef Documentation

## ◆ huff_entropy_ptr

typedef huff_entropy_encoder* huff_entropy_ptr

## Function Documentation

## ◆ dump_buffer()

dump_buffer | ( | working_state * | state | ) |

## ◆ emit_bits()

emit_bits | ( | working_state * | state,
|  | unsigned int | code,
|  | int | size )

## ◆ emit_restart()

emit_restart | ( | working_state * | state,
|  | int | restart_num )

## ◆ encode_mcu_huff()

encode_mcu_huff | ( | j_compress_ptr | cinfo,
|  | JBLOCKROW * | MCU_data )

## ◆ encode_one_block()

encode_one_block | ( | working_state * | state,
|  | JCOEFPTR | block,
|  | int | last_dc_val,
|  | c_derived_tbl * | dctbl,
|  | c_derived_tbl * | actbl )

## ◆ finish_pass_huff()

finish_pass_huff | ( | j_compress_ptr | cinfo | ) |

## ◆ flush_bits()

flush_bits | ( | working_state * | state | ) |

## ◆ jinit_huff_encoder()

jinit_huff_encoder | ( | j_compress_ptr | cinfo | ) |

## ◆ jpeg_make_c_derived_tbl()

jpeg_make_c_derived_tbl | ( | j_compress_ptr | cinfo,
|  | boolean | isDC,
|  | int | tblno,
|  | c_derived_tbl ** | pdtbl )

## ◆ METHODDEF() [1/2]

METHODDEF | ( | boolean |  | ) |

## ◆ METHODDEF() [2/2]

METHODDEF | ( | void |  | ) |

## ◆ start_pass_huff()

start_pass_huff | ( | j_compress_ptr | cinfo,
|  | boolean | gather_statistics )

## Variable Documentation

## ◆ MCU_data

JBLOCKROW* MCU_data